Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlDelayTestStep

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>
              com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
                  com.eviware.soapui.impl.wsdl.teststeps.WsdlDelayTestStep

All Implemented Interfaces:
  ModelItem, TestStep, PropertyChangeNotifier

    public class WsdlDelayTestStep

extends WsdlTestStep

TestStep that delays execution for a number of milliseconds

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary

Fields inherited from interface com.eviware.soapui.model.testsuite.TestStep
`DISABLED_PROPERTY, LABEL_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlDelayTestStep(WsdlTestCase testCase, com.eviware.soapui.config.TestStepConfig config, boolean forLoadTest)`

Method Summary
`boolean` | `cancel()`
`int` | `getDelay()`
`java.lang.String` | `getLabel()`
`void` | `resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)` Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.
`TestStepResult` | `run(TestRunner testRunner, TestRunContext context)`
`void` | `setDelay(int delay)`

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
`addProperty, addTestStepListener, clone, createPanelBuilder, deleteProperty, dependsOn, finish, firePropertyAdded, firePropertyRemoved, firePropertyRenamed, firePropertyValueChanged, getProperty, getPropertyNames, getPropertyValue, getRequiredInterfaces, getTestCase, getTestStepTitle, hasEditor, isDisabled, isForLoadTest, postInit, prepare, propertyRenamed, removeTestStepListener, setDisabled, setName, setPropertyValue`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getIcon, getName, getParent, getSettings, getWsdlModelItemByName, onSave, release, setConfig, setDescription, setIcon, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### WsdlDelayTestStep

    public WsdlDelayTestStep(WsdlTestCase testCase,
                             com.eviware.soapui.config.TestStepConfig config,
                             boolean forLoadTest)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in interface `TestStep`
  Overrides:
    `getLabel` in class `WsdlTestStep`

### resetConfigOnMove

    public void resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)

  Description copied from class: `WsdlTestStep`
  Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.

  Overrides:
    `resetConfigOnMove` in class `WsdlTestStep`
  Parameters:
    `config` - the new config to use, will be a copy of the existing one. The current will be invalid

### getDelay

    public int getDelay()

### setDelay

    public void setDelay(int delay)

### run

    public TestStepResult run(TestRunner testRunner,
                              TestRunContext context)

### cancel

    public boolean cancel()

  Specified by:
    `cancel` in interface `TestStep`
  Overrides:
    `cancel` in class `WsdlTestStep`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.